All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.prompts.groups
Interface PromptGroupV3Interface

All Superinterfaces:
  com.sas.util.AttributeConfigurationInterface, com.sas.prompts.IdentifiablePromptInterface, com.sas.util.xmlpersist.PersistenceInterface, PromptGroupInterface, com.sas.prompts.groups.PromptGroupV2Interface, com.sas.prompts.PromptHelpInterface, com.sas.util.ResourceReferencesInterface, com.sas.models.VersionInterface

All Known Implementing Classes:
  ModalChoiceGroup, ModalGroup, PromptGroup, TransparentGroup

    public interface PromptGroupV3Interface

extends com.sas.prompts.groups.PromptGroupV2Interface, com.sas.prompts.PromptHelpInterface

Field Summary

Fields inherited from interface com.sas.prompts.groups.PromptGroupInterface
`PROMPT_GROUP_VALIDATION_ERROR_DISALLOWED_PROMPT_DEFINITION, PROMPT_GROUP_VALIDATION_ERROR_DUPLICATE_MODAL_CHOICE_VALUE, PROMPT_GROUP_VALIDATION_ERROR_NOT_VALID_SUBGROUP, PROMPT_GROUP_VALIDATION_NO_ERRORS`

Method Summary

Methods inherited from interface com.sas.prompts.groups.PromptGroupInterface
`addPromptDefinition, addPromptDefinition, addPromptDefinitions, addPromptSubgroup, addPromptSubgroup, containsSubgroup, findPromptSubgroup, getPromptDefinition, getPromptDefinitions, getPromptDefinitionsAndSubgroups, getPromptDefinitionsAndSubgroups, getPromptGroupDescription, getPromptGroupDescriptions, getPromptGroupLabel, getPromptGroupLabels, getPromptSubgroups, hasPromptDefinition, indexOfPromptDefinitionOrSubgroup, isPromptGroupHidden, removeAll, removeAllPromptDefinitions, removeAllPromptSubgroups, removePromptDefinition, removePromptSubgroup, replacePromptDefintion, replacePromptSubgroup, setPromptGroupDescription, setPromptGroupDescriptions, setPromptGroupHidden, setPromptGroupLabel, setPromptGroupLabels`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.